/****************************************************************************
**
** Copyright (C) 1992-2008 Trolltech ASA. All rights reserved.
**
** This file is part of Qt Jambi.
**
** ** This file may be used under the terms of the GNU General Public
** License version 2.0 as published by the Free Software Foundation
** and appearing in the file LICENSE.GPL included in the packaging of
** this file.  Please review the following information to ensure GNU
** General Public Licensing requirements will be met:
** http://www.trolltech.com/products/qt/opensource.html
**
** If you are unsure which license is appropriate for your use, please
** review the following information:
** http://www.trolltech.com/products/qt/licensing.html or contact the
** sales department at sales@trolltech.com.

**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

#ifndef METAJAVABUILDER_H
#define METAJAVABUILDER_H

#include "abstractmetabuilder.h"
#include "metajava.h"

class MetaJavaBuilder : public AbstractMetaBuilder
{

 protected:
    virtual MetaJavaClass *createMetaClass()
        {
            return new MetaJavaClass();
        };

    virtual MetaJavaEnum *createMetaEnum()
        {
            return new MetaJavaEnum();
        };

    virtual MetaJavaEnumValue *createMetaEnumValue()
        {
            return new MetaJavaEnumValue();
        };

    virtual MetaJavaField *createMetaField()
        {
            return new MetaJavaField();
        };

    virtual MetaJavaFunction *createMetaFunction()
        {
            return new MetaJavaFunction();
        };

    virtual MetaJavaArgument *createMetaArgument()
        {
            return new MetaJavaArgument();
        };

    virtual MetaJavaType *createMetaType()
        {
            return new MetaJavaType();
        };

};

#endif // METAJAVABUILDER_H
